-- DEATH KNIGHT PLAY LOGIN SOUND
function GoH_Deathknight_MenuButton_PlayLoginSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Stupid_Login_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Stupid_Login_Sound = "YES"
	    	PlaySoundFile("Sound\\Creature\\LichKing\\EH_LichKing_Irritated1.wav","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Stupid_Login_Sound = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL TAUNT: DEATH GRIP
function GoH_Deathknight_MenuButton_DeathGrip_OnClick()
	    if GoHv5_DeathKnight_Data.config.Death_Grip == "NO" then
	    	GoHv5_DeathKnight_Data.config.Death_Grip = "YES"
	    	Play_Random_DEATHGRIP_Sound();
	    else
	    	GoHv5_DeathKnight_Data.config.Death_Grip = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end



-- ###################################################################################################
-- ###################################################################################################
-- THIS NEXT FUNCTION IS WHERE ALL YOUR SPELL IMAGES AND TEXT ARE CALLED, SET AND REFRESHED.
-- PUT ALL OF YOUR DEATH KNIGHT SPELLS WITHIN SO YOU JUST NEED TO CALL ONE FUNCTION TO REFRESH ALL.
-- BASICALLY EVERY SPELL YOU ADD ABOVE WILL BE WITHIN THE FUNCTION BELOW AND EVERY SPELL ABOVE WILL CALL
-- THE FUNCTION BELOW. EVERY TIME YOU CHECK SOMETHING IN THE DEATH KNIGHT MENU, BELOW WILL REFRESH IT ALL.
-- ###################################################################################################
-- ###################################################################################################
function GoH_DeathKnight_Set_Menu_Button_Images()

	-- ###################################################################################################
	-- PLAY LOGIN SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Stupid_Login_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Play_Login_Sound_Text:SetText("|cFF00AA00Play 'Login' Sound|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Play_Login_Sound_Text:SetText("|cFFFF0000Play 'Login' Sound|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- DEATH GRIP
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_DEATH_GRIP_ICON:SetHighlightTexture(DeathKnight_Death_Grip_Icon);
	GoH_DEATHKNIGHT_DEATH_GRIP_ICON:SetPushedTexture(DeathKnight_Death_Grip_Icon);
	GoH_DEATHKNIGHT_DEATH_GRIP_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Death_Grip == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_DEATH_GRIP_ICON:SetNormalTexture(DeathKnight_Death_Grip_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Death_Grip_Text:SetText("|cFF00AA00" .. DeathKnight_Death_Grip_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Death_Grip_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Death_Grip_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_DEATH_GRIP_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Death_Grip_Text:SetText("|cFFFF0000" .. DeathKnight_Death_Grip_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Death_Grip_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Death_Grip_Name .. "?" .. "|r")

	end
	-- ###################################################################################################

end


